# ApplicationFramework
TKBinL
BinTools

# BinTools_LocationSet Class Reference

The class LocationSet stores a set of location in
a relocatable state.
It can be created from Locations.
It can create Locations.
.

`#include <BinTools_LocationSet.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinTools_LocationSet ()
| Returns an empty set of locations. .
Standard_EXPORT void | Clear ()
| Clears the content of the set. .
Standard_EXPORT Standard_Integer | Add (const TopLoc_Location &L)
| Incorporate a new Location in the set and returns its index. .
Standard_EXPORT const TopLoc_Location & | Location (const Standard_Integer I) const
| Returns the location of index . .
Standard_EXPORT Standard_Integer | Index (const TopLoc_Location &L) const
| Returns the index of <l>. .
Standard_EXPORT Standard_Integer | NbLocations () const
| Returns number of locations. .
Standard_EXPORT void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <os> in a format that can be read back by Read. .
Standard_EXPORT void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <is>. me is first cleared. .

## Private Attributes

TopLoc_IndexedMapOfLocation | myMap

## Constructor & Destructor Documentation

Standard_EXPORT BinTools_LocationSet::BinTools_LocationSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer BinTools_LocationSet::Add | ( | const TopLoc_Location & | L | ) |

Standard_EXPORT void BinTools_LocationSet::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer BinTools_LocationSet::Index | ( | const TopLoc_Location & | L | ) | const

Standard_EXPORT const TopLoc_Location& BinTools_LocationSet::Location | ( | const Standard_Integer | I | ) | const

Standard_EXPORT Standard_Integer BinTools_LocationSet::NbLocations | ( |  | ) | const

void BinTools_LocationSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinTools_LocationSet::operator new | ( | size_t | size | ) | `[inline]`

void* BinTools_LocationSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void BinTools_LocationSet::Read | ( | Standard_IStream & | IS | ) |

Standard_EXPORT void BinTools_LocationSet::Write | ( | Standard_OStream & | OS | ) | const

## Field Documentation

TopLoc_IndexedMapOfLocation BinTools_LocationSet::myMap `[private]`

The documentation for this class was generated from the following file:

- BinTools_LocationSet.hxx